0

I'm getting the following error "Cannot process definition to array for type time" on Magento 2.3.3 when executing command: php bin/magento setup:upgrade

Thank you for your advanced!

  • Please post your custom script? – Khoa TruongDinh Nov 20 '19 at 11:59
  • Hi @KhoaTruongDinh I try to run this command line: php bin/magento setup:upgrade – David Duong Nov 20 '19 at 12:01
  • From a fresh Magento install? – Khoa TruongDinh Nov 20 '19 at 12:40
  • No, I have installed some extensions. – David Duong Nov 20 '19 at 12:41
1

If you are using time in your setup script then use the timestamp , datetime OR date instead of time

| improve this answer | |
  • Do you know why I should use timestamp, datetime or date instead time? – David Duong Nov 20 '19 at 12:40
  • Yes, because time type is not defined in Magento, so that's why you should use timestamp , datetime OR date instead of time – DJ Dev Nov 20 '19 at 12:43
  • @DavidDuong If you can post your script then i can fix issue in that script – DJ Dev Nov 20 '19 at 12:53
  • Great job! Thanks you! I have found table magesms_birthdaymessages_template in file app/code/Topefekt/Magesms/Setup/InstallSchema.php have used time. – David Duong Nov 20 '19 at 12:55

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.